Activate, Refresh, and Compare Interface Check replication activation status of channels GET /api/v6.1.0.5/hubs/{hub}/activate
Query parameters Prototype:
'channels' ?: ( chn<ident>+ )
'locs' ?: ( loc<ident>+ ) Request headers None Request body None Response headers None Response body (JSON) Prototype:
chn<str> *: {
loc<ident> +: {
'enroll' ?: {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: oldest<date_str_z>
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'jobs' : {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: oldest<date_str_z>
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
'running' ?: <bool>
'active_refresh_target' ?: <true>
}
'router_files' : {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: scan_start<date_str_z>
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'state_tables' ?: {
'lossy_reactivate' : <true>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'change_tables' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'triggers' ?: {
'lossy_reactivate' : <true>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'db_procs' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'supplemental_logging' ?: {
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'state_files' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
}
} Status codes ✅ 200 OK ❌ 400 Bad Request Required permissions ReadOnly access level on hub
Check replication activation status of channel GET /api/v6.1.0.5/hubs/{hub}/channels/{channel}/activate
Query parameters Prototype:
'locs' ?: ( loc<ident>+ ) Request headers None Request body None Response headers None Response body (JSON) Prototype:
loc<ident> *: {
'enroll' ?: {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: oldest<date_str_z>
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'jobs' : {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: oldest<date_str_z>
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
'running' ?: <bool>
'active_refresh_target' ?: <true>
}
'router_files' : {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: scan_start<date_str_z>
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'state_tables' ?: {
'lossy_reactivate' : <true>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'change_tables' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'triggers' ?: {
'lossy_reactivate' : <true>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'db_procs' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'supplemental_logging' ?: {
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'state_files' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
} Status codes ✅ 200 OK ❌ 400 Bad Request Required permissions ReadOnly access level on hub
Post an HVR activate event POST /api/v6.1.0.5/hubs/{hub}/channels/{channel}/activate
Query parameters None Request headers None Request body (JSON) Prototype:
'locs' ?: ( <ident>+ )
'tables' ?: ( <ident>+ )
'parallel_locs' ?: <int>
'components' ?: (
'state_tables'
| 'change_tables'
| 'triggers'
| 'db_procs'
| 'router_files'
| 'enroll'
| 'supplemental_logging'
| 'jobs'
| 'state_files'+
)
'start_immediate' ?: <bool>
'replace_enroll' ?: <bool>
'rewind_scan_start' ?: {
'tstamp' : <date_str_z>
}
| {
'oldest_tx' : <true>
}
'rewind_emit' ?: {
'tstamp' : <date_str_z>
}
| {
'hvr_tx_seq' : <str>
}
| {
'scn' : <int64_ascii>
}
| {
'integrate_point' : {
integloc<ident> +: {
'integ_hvr_tx_seq' : <str>
'integ_hvr_tx_countdown' ?: <int>
'burst_busy_table' ?: <ident>
'burst_busy_table_busy' ?: <true>
'burst_busy_tx_seq' ?: <str>
}
}
}
'start_next_jobs' ?: ( task<ident>+ )
'start_next_ev_ids' ?: ( ev_id<date_str_usecs_z>+ ) Response headers None Response body (JSON) Prototype:
'posted_ev_id' : <date_str_usecs_z>
'job' : <str>
'canceled_ev_ids' ?: ( <date_str_usecs_z>* ) Status codes ✅ 201 Created ❌ 400 Bad Request Required permissions ReadWrite access level on hub Events Creates the following eventActivate
'locs' ?: ( <ident>+ )
'tables' ?: ( <ident>+ )
'parallel_locs' ?: <int>
'components' ?: (
'state_tables'
| 'change_tables'
| 'triggers'
| 'db_procs'
| 'router_files'
| 'enroll'
| 'supplemental_logging'
| 'jobs'
| 'state_files'+
)
'start_immediate' ?: <bool>
'replace_enroll' ?: <bool>
'rewind_scan_start' ?: {
'tstamp' : <date_str_z>
}
| {
'oldest_tx' : <true>
}
'rewind_emit' ?: {
'tstamp' : <date_str_z>
}
| {
'hvr_tx_seq' : <str>
}
| {
'scn' : <int64_ascii>
}
| {
'integrate_point' : {
integloc<ident> +: {
'integ_hvr_tx_seq' : <str>
'integ_hvr_tx_countdown' ?: <int>
'burst_busy_table' ?: <ident>
'burst_busy_table_busy' ?: <true>
'burst_busy_tx_seq' ?: <str>
}
}
}
'start_next_jobs' ?: ( task<ident>+ )
'start_next_ev_ids' ?: ( ev_id<date_str_usecs_z>+ )
Post Compare event and schedule a job for it POST /api/v6.1.0.5/hubs/{hub}/channels/{channel}/compare
Query parameters None Request headers None Request body (JSON) Prototype:
'source_loc' : <ident>
'target_loc' : <ident>
'contexts' ?: ( <ident>+ )
'granularity' ?: 'bulk' | 'rowwise'
'difference_filter' ?: {
'inserts' ?: <bool>
'updates' ?: <bool>
'deletes' ?: <bool>
}
'quota_run' ?: njobs<int :min=0>
'parallel_sessions' ?: <int :min=0>
'db_sequences' ?: <bool>
'repeatable' ?: <bool>
'slicing' ?: {
table<str> *: {
'type' : 'boundary'
| 'count'
| 'modulo'
| 'series'
'col' ?: <str>
'slices' ?: <int>
'str_boundaries' ?: ( vals<str>+ )
'int_boundaries' ?: ( vals<int64_ascii>+ )
'date_boundaries' ?: ( vals<date_str_z>+ )
'series_values' ?: ( <str>+ )
'selection' ?: ( <int>+ )
}
}
'tables' ?: ( <str>+ )
'task' ?: <ident>
'context_variables' ?: {
name<str> *: value<str>
}
'file_preread_subtasks' ?: <int>
'schedule_times' ?: crono<str>
'start_at' ?: <date_str_z>
'start_immediate' ?: <bool>
'online_compare' ?: 'diff_diff' | 'diff_cap'
'online_compare_sleep' ?: <int>
'select_moment' ?: <str>
'save_diff_file' ?: <bool>
'prereader_intermediate_files' ?: {
'keep' ?: <bool>
'reuse' ?: <bool>
} Response headers None Response body (JSON) Prototype:
'posted_ev_id' : <date_str_usecs_z>
'job' : <str>
'canceled_ev_ids' ?: ( <date_str_usecs_z>* ) Status codes ✅ 201 Created ❌ 400 Bad Request ❌ 403 Forbidden: User does not have Exec access Required permissions ReadExec access level on hub Events Creates the following eventCompare
'channel' : <ident>
'view_tstamp' ?: <date_str_usecs_z>
'source_loc' : <ident>
'target_loc' : <ident>
'contexts' ?: ( <ident>+ )
'granularity' ?: 'bulk' | 'rowwise'
'difference_filter' ?: {
'inserts' ?: <bool>
'updates' ?: <bool>
'deletes' ?: <bool>
}
'quota_run' ?: njobs<int :min=0>
'parallel_sessions' ?: <int :min=0>
'db_sequences' ?: <bool>
'repeatable' ?: <bool>
'slicing' ?: {
table<str> *: {
'type' : 'boundary'
| 'count'
| 'modulo'
| 'series'
'col' ?: <str>
'slices' ?: <int>
'str_boundaries' ?: ( vals<str>+ )
'int_boundaries' ?: ( vals<int64_ascii>+ )
'date_boundaries' ?: ( vals<date_str_z>+ )
'series_values' ?: ( <str>+ )
'selection' ?: ( <int>+ )
}
}
'tables' ?: ( <str>+ )
'task' ?: <ident>
'context_variables' ?: {
name<str> *: value<str>
}
'file_preread_subtasks' ?: <int>
'online_compare' ?: 'diff_diff' | 'diff_cap'
'online_compare_sleep' ?: <int>
'select_moment' ?: <str>
'save_diff_file' ?: <bool>
'prereader_intermediate_files' ?: {
'keep' ?: <bool>
'reuse' ?: <bool>
}
Get event ids for tables results of recent Compare GET /api/v6.1.0.5/hubs/{hub}/channels/{channel}/compare/tables_results_ids
Query parameters Prototype:
'result_pattern' ?: <str>
'source_loc' ?: <ident>
'target_loc' ?: <ident>
'table' ?: ( <ident>+ )
'ev_tstamp_begin' ?: <date_str_usecs_z>
'ev_tstamp_end' ?: <date_str_usecs_z> Request headers None Request body None Response headers None Response body (JSON) Prototype:
ev_id<date_str_usecs_z> *: ( table<ident>+ ) Status codes ✅ 200 OK ❌ 400 Bad Request Required permissions ReadOnly access level on hub
Show contexts and context variables GET /api/v6.1.0.5/hubs/{hub}/channels/{channel}/contexts
Query parameters None Request headers None Request body None Response headers None Response body (JSON) Prototype:
'contexts' : ( <ident>* )
'context_variables' : ( varname<str>* ) Status codes ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: Channel does not exist Required permissions ReadOnly access level on hub
Post an HVR deactivate event POST /api/v6.1.0.5/hubs/{hub}/channels/{channel}/deactivate
Query parameters None Request headers None Request body (JSON) Prototype:
'locs' ?: ( <ident>+ )
'tables' ?: ( <ident>+ )
'parallel_locs' ?: <int>
'components' ?: (
'state_tables'
| 'change_tables'
| 'triggers'
| 'db_procs'
| 'router_files'
| 'enroll'
| 'supplemental_logging'
| 'jobs'
| 'state_files'+
)
'start_immediate' ?: <bool> Response headers None Response body (JSON) Prototype:
'posted_ev_id' : <date_str_usecs_z>
'job' : <str>
'canceled_ev_ids' ?: ( <date_str_usecs_z>* ) Status codes ✅ 201 Created ❌ 400 Bad Request Required permissions ReadWrite access level on hub Events Creates the following eventDeactivate
'locs' ?: ( <ident>+ )
'tables' ?: ( <ident>+ )
'parallel_locs' ?: <int>
'components' ?: (
'state_tables'
| 'change_tables'
| 'triggers'
| 'db_procs'
| 'router_files'
| 'enroll'
| 'supplemental_logging'
| 'jobs'
| 'state_files'+
)
'start_immediate' ?: <bool>
Show open transactions GET /api/v6.1.0.5/hubs/{hub}/channels/{channel}/locs/{loc}/capture_open_tx
Query parameters None Request headers None Request body None Response headers None Response body (JSON) Prototype:
'request_time' : <date_str_z>
'request_tx_seq' ?: <str>
'request_scn' ?: <int64_ascii>
'num_open_tx' : <int>
'oldest_open_tx_begin_tstamp' ?: <date_str_z>
'oldest_open_tx_begin_scn' ?: <int64_ascii> Status codes ✅ 200 OK ❌ 400 Bad Request: No capture tables defined or finding oldest transaction start time not possible ❌ 404 Not Found: Channel or channel member not found Required permissions ReadOnly access level on hub
Show integrate point GET /api/v6.1.0.5/hubs/{hub}/channels/{channel}/locs/{loc}/integrate_point
Query parameters Prototype:
'orig_channel' ?: <ident>
'orig_integ_loc' ?: <ident> Request headers None Request body None Response headers None Response body (JSON) Prototype:
caploc<ident> *: {
'scan_start_tstamp' : <date_str_z>
'integ_tstamp' : <date_str_z>
'integ_hvr_tx_seq' : <str>
'integ_hvr_tx_countdown' ?: <int64_ascii>
'burst_busy_table' ?: <ident>
'burst_busy_table_busy' ?: <true>
'burst_busy_tx_seq' ?: <str>
} Status codes ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: Channel or Location does not exist Required permissions ReadOnly access level on hub
Suggest slicing, based on old table results and Oracle DBMS stats POST /api/v6.1.0.5/hubs/{hub}/channels/{channel}/locs/{loc}/slicing_suggest
Query parameters None Request headers None Request body (JSON) Prototype:
'rows_per_slice' ?: <int64_ascii :min=1>
'max_slices_per_table' ?: <int :min=0>
'repeat_last_refresh_slicing' ?: <bool>
'repeat_last_compare_slicing' ?: <bool>
'suggest_from_last_refresh_rows' ?: <bool>
'suggest_from_last_compare_rows' ?: <bool>
'suggest_from_db_stats' ?: <bool>
'tables' ?: ( <str>+ ) Response headers None Response body (JSON) Prototype:
table<str> *: {
'based_on' : 'no_data'
| 'repeat_last_refresh_slicing'
| 'repeat_last_compare_slicing'
| 'suggest_from_last_refresh_rows'
| 'suggest_from_last_compare_rows'
| 'suggest_from_db_stats'
'ev_id' ?: <date_str_usecs_z>
'row_estimate' ?: <int64_ascii>
'no_slicing' ?: <true>
'slicing' ?: {
'type' : 'boundary'
| 'count'
| 'modulo'
| 'series'
'col' ?: <str>
'slices' ?: <int>
'str_boundaries' ?: ( vals<str>+ )
'int_boundaries' ?: ( vals<int64_ascii>+ )
'date_boundaries' ?: ( vals<date_str_z>+ )
'series_values' ?: ( <str>+ )
}
} Status codes ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: Channel, location or table does not exist Required permissions ReadOnly access level on hub Events Creates no events.
Convert compressed diff file into smaller JSON files for viewing POST /api/v6.1.0.5/hubs/{hub}/channels/{channel}/locs/{loc}/tables/{table}/diffs/{ev_id}/get
Query parameters None Request headers None Request body (JSON) Prototype:
'bytes_per_file' ?: <int :min=1> Response headers None Response body (JSON) Prototype:
'transport_key' ?: <str>
'refs' : (
{
'slice' ?: <int>
'ref' : <str>
'row_num_begin' : <int64_ascii>
'row_num_end' : <int64_ascii>
}*
) Status codes ✅ 200 OK ❌ 400 Bad Request Required permissions ReadExecRefresh access level on hub Events Creates no events.
Suggest slicing boundaries based on Oracle DBMS stats. Can return empty POST /api/v6.1.0.5/hubs/{hub}/channels/{channel}/locs/{loc}/tables/{table}/slicing_boundaries
Query parameters None Request headers None Request body (JSON) Prototype:
'col' : <str>
'slices' : <int :min=1> Response headers None Response body (JSON) Prototype:
'str_boundaries' ?: ( vals<str>+ )
'int_boundaries' ?: ( vals<int64_ascii>+ )
'date_boundaries' ?: ( vals<date_str_z>+ ) Status codes ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: Channel, location, table or column does not exist Required permissions ReadOnly access level on hub Events Creates no events.
Post Refresh event and schedule a job for it POST /api/v6.1.0.5/hubs/{hub}/channels/{channel}/refresh
Query parameters None Request headers None Request body (JSON) Prototype:
'source_loc' : <ident>
'target_loc' : <ident>
'contexts' ?: ( <ident>+ )
'granularity' ?: 'bulk' | 'rowwise'
'difference_filter' ?: {
'inserts' ?: <bool>
'updates' ?: <bool>
'deletes' ?: <bool>
}
'quota_run' ?: njobs<int :min=0>
'parallel_sessions' ?: <int :min=0>
'db_sequences' ?: <bool>
'repeatable' ?: <bool>
'slicing' ?: {
table<str> *: {
'type' : 'boundary'
| 'count'
| 'modulo'
| 'series'
'col' ?: <str>
'slices' ?: <int>
'str_boundaries' ?: ( vals<str>+ )
'int_boundaries' ?: ( vals<int64_ascii>+ )
'date_boundaries' ?: ( vals<date_str_z>+ )
'series_values' ?: ( <str>+ )
'selection' ?: ( <int>+ )
}
}
'tables' ?: ( <str>+ )
'task' ?: <ident>
'context_variables' ?: {
name<str> *: value<str>
}
'file_preread_subtasks' ?: <int>
'schedule_times' ?: crono<str>
'start_at' ?: <date_str_z>
'start_immediate' ?: <bool>
'create_tables' ?: {
'keep_structure' ?: <bool>
'force_recreate' ?: <bool>
'index' ?: <bool>
'keep_existing_data' ?: <bool>
'recreate_if_mismatch' ?: <bool>
}
'data_refresh' ?: <bool>
'fire_db_triggers' ?: <bool>
'foreign_keys' ?: 'ignore' | 'disable'
'select_moment' ?: <str>
'online_refresh' ?: 'read_write' | 'write_only' | 'no_skip'
'start_next_jobs' ?: ( 'cap' | 'integ'* )
'save_diff_file' ?: <bool> Response headers None Response body (JSON) Prototype:
'posted_ev_id' : <date_str_usecs_z>
'job' : <str>
'canceled_ev_ids' ?: ( <date_str_usecs_z>* ) Status codes ✅ 201 Created ❌ 400 Bad Request ❌ 403 Forbidden: User does not have Write or Refresh access Required permissions ReadExecRefresh access level on hub Events Creates the following eventRefresh
'channel' : <ident>
'view_tstamp' ?: <date_str_usecs_z>
'source_loc' : <ident>
'target_loc' : <ident>
'contexts' ?: ( <ident>+ )
'granularity' ?: 'bulk' | 'rowwise'
'difference_filter' ?: {
'inserts' ?: <bool>
'updates' ?: <bool>
'deletes' ?: <bool>
}
'quota_run' ?: njobs<int :min=0>
'parallel_sessions' ?: <int :min=0>
'db_sequences' ?: <bool>
'repeatable' ?: <bool>
'slicing' ?: {
table<str> *: {
'type' : 'boundary'
| 'count'
| 'modulo'
| 'series'
'col' ?: <str>
'slices' ?: <int>
'str_boundaries' ?: ( vals<str>+ )
'int_boundaries' ?: ( vals<int64_ascii>+ )
'date_boundaries' ?: ( vals<date_str_z>+ )
'series_values' ?: ( <str>+ )
'selection' ?: ( <int>+ )
}
}
'tables' ?: ( <str>+ )
'task' ?: <ident>
'context_variables' ?: {
name<str> *: value<str>
}
'file_preread_subtasks' ?: <int>
'create_tables' ?: {
'keep_structure' ?: <bool>
'force_recreate' ?: <bool>
'index' ?: <bool>
'keep_existing_data' ?: <bool>
'recreate_if_mismatch' ?: <bool>
}
'data_refresh' ?: <bool>
'fire_db_triggers' ?: <bool>
'foreign_keys' ?: 'ignore' | 'disable'
'select_moment' ?: <str>
'online_refresh' ?: 'read_write' | 'write_only' | 'no_skip'
'start_next_jobs' ?: ( 'cap' | 'integ'* )
'save_diff_file' ?: <bool>
Get event ids for tables results of recent Refresh GET /api/v6.1.0.5/hubs/{hub}/channels/{channel}/refresh/tables_results_ids
Query parameters Prototype:
'result_pattern' ?: <str>
'source_loc' ?: <ident>
'target_loc' ?: <ident>
'table' ?: ( <ident>+ )
'ev_tstamp_begin' ?: <date_str_usecs_z>
'ev_tstamp_end' ?: <date_str_usecs_z> Request headers None Request body None Response headers None Response body (JSON) Prototype:
ev_id<date_str_usecs_z> *: ( table<ident>+ ) Status codes ✅ 200 OK ❌ 400 Bad Request Required permissions ReadOnly access level on hub
Get event ids for tables results of recent Compare for all channels GET /api/v6.1.0.5/hubs/{hub}/compare/tables_results_ids
Query parameters Prototype:
'channel' ?: ( <ident>+ )
'result_pattern' ?: <str>
'source_loc' ?: <ident>
'target_loc' ?: <ident>
'table' ?: ( <ident>+ )
'ev_tstamp_begin' ?: <date_str_usecs_z>
'ev_tstamp_end' ?: <date_str_usecs_z> Request headers None Request body None Response headers None Response body (JSON) Prototype:
channel<ident> *: {
ev_id<date_str_usecs_z> *: ( table<ident>+ )
} Status codes ✅ 200 OK ❌ 400 Bad Request Required permissions ReadOnly access level on hub
Check replication activation status of loc GET /api/v6.1.0.5/hubs/{hub}/locs/{loc}/activate
Query parameters None Request headers None Request body None Response headers None Response body (JSON) Prototype:
chn<str> *: {
'enroll' ?: {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: oldest<date_str_z>
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'jobs' : {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: oldest<date_str_z>
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
'running' ?: <bool>
'active_refresh_target' ?: <true>
}
'router_files' : {
'found' : <bool>
'missing' : <bool>
'tstamp' ?: scan_start<date_str_z>
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'state_tables' ?: {
'lossy_reactivate' : <true>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'change_tables' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'triggers' ?: {
'lossy_reactivate' : <true>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'db_procs' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'supplemental_logging' ?: {
'lossy_reactivate' : <false>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
'state_files' ?: {
'lossy_reactivate' : <bool>
'activating' ?: jobstate<ident>
'deactivating' ?: jobstate<ident>
}
} Status codes ✅ 200 OK ❌ 400 Bad Request Required permissions ReadOnly access level on hub
Get event ids for tables results of recent Refresh for all channels GET /api/v6.1.0.5/hubs/{hub}/refresh/tables_results_ids
Query parameters Prototype:
'channel' ?: ( <ident>+ )
'result_pattern' ?: <str>
'source_loc' ?: <ident>
'target_loc' ?: <ident>
'table' ?: ( <ident>+ )
'ev_tstamp_begin' ?: <date_str_usecs_z>
'ev_tstamp_end' ?: <date_str_usecs_z> Request headers None Request body None Response headers None Response body (JSON) Prototype:
channel<ident> *: {
ev_id<date_str_usecs_z> *: ( table<ident>+ )
} Status codes ✅ 200 OK ❌ 400 Bad Request Required permissions ReadOnly access level on hub